It's all about the answers!

Ask a question

Error in finding the repository when installing Installation Manager


Belinda Lee (11) | asked Feb 09 '16, 1:16 p.m.
I was planning to install the RTC  6.0.1.  I was told to install Installation Manager 1.8.4 first.

I have downloaded the Installation Manager 1.8.4 agent.installer.win32.win32.x86_64_1.8.4000.20151125_0201.zip

According to the  Instructions for configuring Installation Manager
After you have downloaded and installed IBM Installation Manager from this page, follow these steps to configure it to use separately downloaded Installation Manager repositories:
1.    Start Installation Manager and select File > Preferences.
2.    On the Repositories preferences page, click Add Repository and select the repository.config file from your downloaded Installation Manager repository. Click OK.
3.    Click Install. Installation Manager will prompt to install using the repositories.


I extracted the zip file.  Whether I pointed to the zip file or the extracted folder, it did not work

I got the message from the dialog box.  (Copy CTRL + C does not work, so I retyped)

C:\Users..... \agent.installer.win32.win32.x86_64_1.8.4000.20151125_0201 is not a reposiotry.  It is an install package for Installation Manager version 1.8.4.  To update Installation Manager
to the later version, exit this Installation Manager and then execute install.exec from the the install package.

Should I follow the instruction in the error message and look for the install.exe rather than the instruction from the dialog box? Just for curiosity , why adding the repository failed?

Any help is much appreciated.  Thank you. Belinda

One answer



permanent link
Alexandre Stegani (8664) | answered Feb 09 '16, 3:58 p.m.
Hi Berlinda,

The steps above indicates how to configure Installation Manager to install RTC. Once Installation Manager is installed, download the RTC IM package from Jazz.net (link below), unzip it to a temporary location and then create a repository connection by following the steps you have outlined above (1,2,3).

https://jazz.net/downloads/rational-team-concert/releases/6.0.1/JTS-CCM-QM-RM-JRS-RELM-repo-6.0.1.zip

Comments
Belinda Lee commented Feb 09 '16, 4:10 p.m.

Hi Alexandre,
Thank you for your link and answer.   Right now, I am having problem when installing Installation Manager first 1.8.4.  My current version is only 1.4.3.  I assume I have to install V1.8.4 successfully before I install RTC V6.0.1.  

I guess I have to execute  the install.exe on the Installation Manager V 1.8.4  downloaded extracted file and make sure it is installed first before I use it to install RTC?
Sorry if I missed any points in your answer.

Thank you very much.  Belinda


Alexandre Stegani commented Feb 09 '16, 4:21 p.m.

Hi Berlinda,

Correct, you must first upgrade your existent Installation Manager from 1.4.3 to the latest version, before installing RTC.

Executing the install.exe on the IM 1.8.4  downloaded extracted file should do the job.


Belinda Lee commented Feb 10 '16, 9:28 a.m.

Hi Alexandre
I just went into my question and noticed your reply. Thank you.  I missed your reply since I did not get any notification.  

I have downloaded and unzipped the 64-bit version of IM 1.8.4.  When I tried to install, I got the following.  I will download the 32-bit.  My question, does it mean I will have to
always use 32-bit version?  

CRIMA1194E: You cannot update a 32-bit version of Installation Manager to a 64-bit version.
Explanation: You cannot change the bit mode of an installed instance of Installation Manager by updating Installation Manager. You must use the same bit mode that the installed instance of Installation Manager uses to update Installation Manager.

User Action: Use the Installation Manager installation files that are the same bit mode as the installed instance of Installation Manager. Check the name of the compressed file or the directory that contains the installation files. The file name contains information about the operating system and bit mode.

Thank you very much. Belinda.


Alexandre Stegani commented Feb 10 '16, 10:00 a.m.

Hi Berlina,

You need to stick with the 32-bit version of IM.

Using the 32-bit IBMIM should suffice. You can still install the 64-bit version of RTC by using a 32-bit version of IM. This works just fine.


Belinda Lee commented Feb 10 '16, 10:46 a.m.

Hi Alexandre,  I have successfully installed IM.  Thanks for your remark that 64-bit version of RTC can use 32-bit version of IM. It helped.  Thank you!

Your answer


Register or to post your answer.